# H225_ResourcesAvailableIndicate Class Reference

`#include <h225.h>`

Inheritance diagram for H225_ResourcesAvailableIndicate:

List of all members.

## Public Types

enum | OptionalFields { e_nonStandardData, e_tokens, e_cryptoTokens, e_integrityCheckValue, e_capacity, e_genericData }

## Public Member Functions

| H225_ResourcesAvailableIndicate (unsigned tag=UniversalSequence, TagClass tagClass=UniversalTagClass)
PINDEX | GetDataLength () const
PBoolean | Decode (PASN_Stream &strm)
void | Encode (PASN_Stream &strm) const
void | PrintOn (ostream &strm) const
Comparison | Compare (const PObject &obj) const
PObject * | Clone () const

## Public Attributes

H225_RequestSeqNum | m_requestSeqNum
H225_ProtocolIdentifier | m_protocolIdentifier
H225_NonStandardParameter | m_nonStandardData
H225_EndpointIdentifier | m_endpointIdentifier
H225_ArrayOf_SupportedProtocols | m_protocols
PASN_Boolean | m_almostOutOfResources
H225_ArrayOf_ClearToken | m_tokens
H225_ArrayOf_CryptoH323Token | m_cryptoTokens
H225_ICV | m_integrityCheckValue
H225_CallCapacity | m_capacity
H225_ArrayOf_GenericData | m_genericData

## Member Enumeration Documentation

enum H225_ResourcesAvailableIndicate::OptionalFields

Enumerator:

  e_nonStandardData |
  e_tokens |
  e_cryptoTokens |
  e_integrityCheckValue |
  e_capacity |
  e_genericData |

## Constructor & Destructor Documentation

H225_ResourcesAvailableIndicate::H225_ResourcesAvailableIndicate | ( | unsigned | tag = `UniversalSequence`,
|  | TagClass | tagClass = `UniversalTagClass` |
| ) |  |  |

## Member Function Documentation

PINDEX H225_ResourcesAvailableIndicate::GetDataLength | ( |  | ) | const

PBoolean H225_ResourcesAvailableIndicate::Decode | ( | PASN_Stream & | strm | ) |

void H225_ResourcesAvailableIndicate::Encode | ( | PASN_Stream & | strm | ) | const

void H225_ResourcesAvailableIndicate::PrintOn | ( | ostream & | strm | ) | const

Comparison H225_ResourcesAvailableIndicate::Compare | ( | const PObject & | obj | ) | const

PObject* H225_ResourcesAvailableIndicate::Clone | ( |  | ) | const

## Member Data Documentation

H225_RequestSeqNum H225_ResourcesAvailableIndicate::m_requestSeqNum

H225_ProtocolIdentifier H225_ResourcesAvailableIndicate::m_protocolIdentifier

H225_NonStandardParameter H225_ResourcesAvailableIndicate::m_nonStandardData

H225_EndpointIdentifier H225_ResourcesAvailableIndicate::m_endpointIdentifier

H225_ArrayOf_SupportedProtocols H225_ResourcesAvailableIndicate::m_protocols

PASN_Boolean H225_ResourcesAvailableIndicate::m_almostOutOfResources

H225_ArrayOf_ClearToken H225_ResourcesAvailableIndicate::m_tokens

H225_ArrayOf_CryptoH323Token H225_ResourcesAvailableIndicate::m_cryptoTokens

H225_ICV H225_ResourcesAvailableIndicate::m_integrityCheckValue

H225_CallCapacity H225_ResourcesAvailableIndicate::m_capacity

H225_ArrayOf_GenericData H225_ResourcesAvailableIndicate::m_genericData

The documentation for this class was generated from the following file:

- h225.h